Program BiosTerm;

uses Crt, V24Unit, COMMCONS;


var
    InitStr,
    HangupStr  : string;
    ch         : char;
    ComPort    : word;
    Fehler     : boolean;
    Ende       : boolean;
begin
  clrscr;
  writeln; writeln('BIOSTERM - Beenden mit ALT-X');
  ComPort   := COM2;
  InitStr   := 'AT Z ^M~~~~';
  HangupStr := '~~+++~~~~ATH0^M~~~~';

  bio_InitComPort(ComPort, Baud9600+NoParity+StopBit1+Databit8);
  Fehler := true;
  if bio_NoModemFound(ComPort)
    Then writeln('Modem nicht gefunden')
    Else if bio_NoPortFound(ComPort)
           Then writeln('Port nicht gefunden')
           Else Fehler := false;
  If Fehler Then EXIT;
  writeln('Modem initialisieren ...');
  bio_V24WriteCommand(ComPort, InitStr);

  Ende := false;
  while not Ende do
    begin
      if (bio_V24Status(ComPort) and (DataReady shl 8)) <> 0 then
        begin
          if bio_V24Fehler = 0 Then
            begin
              ch := bio_V24ReadCh(ComPort);
              write(ch);
            end;
        end;
      If Keypressed Then
        begin
          ch := Readkey;
          if (ch = #0) then
            begin
              ch := readkey;
              if (ch = #45) Then Ende := true;  { ALTX }
            end;
          bio_V24WriteCh(ComPort, ch);
        end;
    end;
  writeln('Auflegen...');
  bio_V24WriteCommand(ComPort, HangupStr);
end.